Loading...
Searching...
No Matches
casacore::MSSysCalEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet SYSCAL table. More...

`#include <MSSysCalEnums.h>`

## Public Types

enum

PredefinedColumns {
UNDEFINED_COLUMN ,
ANTENNA_ID ,
FEED_ID ,
INTERVAL ,
SPECTRAL_WINDOW_ID ,
TIME ,
NUMBER_REQUIRED_COLUMNS ,
PHASE_DIFF ,
PHASE_DIFF_FLAG ,
TANT ,
TANT_FLAG ,
TANT_SPECTRUM ,
TANT_TSYS ,
TANT_TSYS_FLAG ,
TANT_TSYS_SPECTRUM ,
TCAL ,
TCAL_FLAG ,
TCAL_SPECTRUM ,
TRX ,
TRX_FLAG ,
TRX_SPECTRUM ,
TSKY ,
TSKY_FLAG ,
TSKY_SPECTRUM ,
TSYS ,
TSYS_FLAG ,
TSYS_SPECTRUM ,
NUMBER_PREDEFINED_COLUMNS
}

| The SYSCAL table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet SYSCAL table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet SYSCAL table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSSysCal class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSSysCalEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSSysCalEnums::PredefinedColumns

The SYSCAL table colums with predefined meaning.

Keys: ANTENNA_ID, ARRAY_ID, FEED_ID, SPECTRAL_WINDOW_ID, INTERVAL, TIME

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
ANTENNA_ID | Antenna Id. Int.
FEED_ID | Feed id Int.
INTERVAL | Interval for which this set of parameters is accurate Double - s.
SPECTRAL_WINDOW_ID | Spectral window id Int.
TIME | Midpoint of time for which this set of parameters is accurate Double - s - EPOCH.
NUMBER_REQUIRED_COLUMNS | Enum specifying the number of required columns.
PHASE_DIFF | Phase difference between receptor 2 and receptor 1. Not used for single polarization feeds. Float - rad
PHASE_DIFF_FLAG | Flag for PHASE_DIFF Bool.
TANT | Antenna temperature Float(NUM_RECEPTORS) - K.
TANT_FLAG | Flag for TANT Bool.
TANT_SPECTRUM | Antenna temperature for each channel and receptor Float(NUM_RECEPTORS,NUM_CHAN) - K.
TANT_TSYS | Ratio of antenna temperature and system temperature Float(NUM_RECEPTORS) - K.
TANT_TSYS_FLAG | Flag for TANT_TSYS Bool.
TANT_TSYS_SPECTRUM | Spectrum of Tant/Tsys ratio for each receptor Float(NUM_RECEPTORS,NUM_CHAN).
TCAL | Calibration temperature for each receptor Float(NUM_RECEPTORS) - K.
TCAL_FLAG | Flag for TCAL Bool.
TCAL_SPECTRUM | Calibration temp. for each channel and receptor Float(NUM_RECEPTORS,NUM_CHAN) - K
TRX | Receiver temperature for each of the two receptors. This is a scalar quantity Float(NUM_RECEPTORS) - K
TRX_FLAG | Flag for TRX Bool.
TRX_SPECTRUM | Receiver temp. for each channel and receptor Float(NUM_RECEPTORS,NUM_CHAN) - K
TSKY | Sky temperature for each of the two receptors. Float(NUM_RECEPTORS) - K
TSKY_FLAG | Flag for TSKY Bool.
TSKY_SPECTRUM | Sky temp. for each channel and receptor Float(NUM_RECEPTORS,NUM_CHAN) - K
TSYS | System temp. for each of the two receptors. Float(NUM_RECEPTORS) - K
TSYS_FLAG | Flag for TSYS Bool.
TSYS_SPECTRUM | System temp. for each channel and receptor Float(NUM_RECEPTORS,NUM_CHAN) - K
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 61 of file MSSysCalEnums.h.

## PredefinedKeywords

enum casacore::MSSysCalEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 149 of file MSSysCalEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSSysCalEnums.h